Get action by ID - Impressions - Mercado Pago Developers
Get action by ID

Consult all the information of an action created for a Point terminal using the ID obtained in the response to its creation. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/terminals/v1/actions/{action_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
action_id
string

REQUIRED

Action ID, returned in the response to the request made for its creation.
Response parameters
id
string
Identifier of the action created in the request, automatically generated by Mercado Pago.
type
string
Action type.
print: Print action created for Point.
external_reference
string
The external reference of the action is assigned at the time of creation. The maximum allowed limit is 64 characters, and acceptable characters include uppercase and lowercase letters, numbers, and the symbols hyphen (-)...Show more
status
string
Current status of the action.
created: The action has been succesfully created.
on_terminal: The action was obtained by the terminal and is ready for process.
canceled: The action has been cancelled, either through the API or the terminal.
Show more
Errors

401Error.

unauthorized

The value sent as the Access Token is incorrect. Please check and try sending the request again with the correct value.

404Error.

order_not_found

Order not found. Please check if you provided the correct order ID.

500Error.

500

Internal server error. Please try submitting the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/terminals/v1/actions/{action_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "id": "8952c6cf-bbb4-482c-a9f2-ea5fecd3ecd2",
  "type": "print",
  "external_reference": "ext_ref_1234",
  "status": "created",
  "config": {
    "point": {
      "terminal_id": "NEWLAND_N950__N950NCB123456789",
      "subtype": "custom"
    }
  },
  "created_date": "2024-09-10T14:26:42.109320977Z"
}